## starlink-pal 0.1.0

=== debian/changelog ===
starlink-pal (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: #659984

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 28 Mar 2012 11:00:00 +0200
