=== debian/control ===
Source: starlink-pal
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: debhelper (>= 7.5.0), autotools-dev, dh-autoreconf,
 libsofa-c-dev, texlive, latex2html, ghostscript
Standards-Version: 3.9.3
Homepage: http://starlink.jach.hawaii.edu/starlink
Vcs-Git: git://git.debian.org/git/debian-science/packages/starlink-pal.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/starlink-pal.git

Package: libstarlink-pal-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libstarlink-pal0 (= ${binary:Version})
Suggests: libstarlink-pal-doc
Description: Positional Astronomy Library (development files)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA. 
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix. 
 .
 This package contains the development files.

Package: libstarlink-pal0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Positional Astronomy Library (shared library)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA. 
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix. 
 .
 This library contains the shared library.

Package: libstarlink-pal-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Positional Astronomy Library (documentation)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA. 
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix. 
 .
 This package contains the HTML and PDF documentation.
