=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	cp pal.news NEWS
	sed s/libpal/libstarlink_pal/g -i Makefile.am
	AUTOMAKE="automake --foreign" dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-cnf --with-pthreads

override_dh_clean:
	sed s/libstarlink_pal/libpal/g -i Makefile.am
	dh_clean
