## starlink-pal 0.1.5

=== debian/changelog ===
starlink-pal (0.1.5-1~exp1) experimental; urgency=low

  * New upstream version
  * Add DM-Upload-Allowed: yes
  * Multiarch support

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 28 Jun 2012 22:54:14 +0200
