=== debian/control ===
Source: starlink-pal
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               ghostscript,
               latex2html,
               libsofa-c-dev,
               texlive
Standards-Version: 3.9.3
Homepage: http://starlink.jach.hawaii.edu/starlink
Vcs-Git: git://git.debian.org/git/debian-science/packages/starlink-pal.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/starlink-pal.git

Package: libstarlink-pal-dev
Section: libdevel
Architecture: any
Depends: libstarlink-pal0 (= ${binary:Version}), ${misc:Depends}
Suggests: libstarlink-pal-doc
Description: Positional Astronomy Library (development files)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the development files.

Package: libstarlink-pal0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Positional Astronomy Library (shared library)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This library contains the shared library.

Package: libstarlink-pal-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Positional Astronomy Library (documentation)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the HTML and PDF documentation.
