## starlink-pal 0.3.0

=== debian/changelog ===
starlink-pal (0.3.0-3) unstable; urgency=low

  * Build with erfa instead of iausofa.

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 30 Nov 2013 13:27:20 +0100

starlink-pal (0.3.0-2) unstable; urgency=low

  * Use pdflatex instead of pslatex. Closes: #713264

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 24 Jun 2013 18:11:26 +0200

starlink-pal (0.3.0-1) unstable; urgency=low

  * New upstream version
  * Push policy version to 3.9.4

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 23 Apr 2013 15:44:48 +0200

starlink-pal (0.1.5-1) unstable; urgency=low

  * Move to unstable
  * Remove obsolete DMUA flag
  * Silent false-positive lintian hardening warning

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 22 Apr 2013 20:21:09 +0200
