=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: starlink-pal
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
-DM-Upload-Allowed: yes
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                ghostscript,
                latex2html,
-               libsofa-c-dev,
-               texlive
-Standards-Version: 3.9.3
+               liberfa-dev,
+               texlive,
+	       texlive-font-utils
+Standards-Version: 3.9.5
 Homepage: http://starlink.jach.hawaii.edu/starlink
-Vcs-Git: git://git.debian.org/git/debian-science/packages/starlink-pal.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/starlink-pal.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/starlink-pal.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/starlink-pal.git
 
 Package: libstarlink-pal-dev
 Section: libdevel
@@ -23,7 +23,7 @@
 Suggests: libstarlink-pal-doc
 Description: Positional Astronomy Library (development files)
  This library is a collection of code designed to aid in replacing the SLA
- library with code from NOVAS and IAU SOFA.
+ library with code from NOVAS and ERFA.
  .
  Where possible the API is similar to the C SLA API except for the use of a
  "pal" prefix.
@@ -53,7 +53,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: Positional Astronomy Library (documentation)
  This library is a collection of code designed to aid in replacing the SLA
- library with code from NOVAS and IAU SOFA.
+ library with code from NOVAS and ERFA.
  .
  Where possible the API is similar to the C SLA API except for the use of a
  "pal" prefix.
