=== debian/watch ===
version=3
http://www.starlink.ac.uk/download/pal/pal-(.+)\.tar\.gz debian uupdate
