## starlink-pal 0.5.0

=== debian/changelog ===
starlink-pal (0.5.0-4) unstable; urgency=low

  * Remove timestamp from html doc. Closes: #803908
  * Add d/u/metadata
  * Push standards version to 3.9.8. Update VCS fields to use https

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jun 2016 11:07:43 +0200

starlink-pal (0.5.0-3) unstable; urgency=low

  * Fix CI test dependencies

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Oct 2015 10:59:07 +0200

starlink-pal (0.5.0-2) unstable; urgency=low

  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.
  * Update homepage URL.
  * Add unit test

 -- Ole Streicher <olebole@debian.org>  Thu, 15 Oct 2015 10:11:46 +0200

starlink-pal (0.5.0-1) unstable; urgency=low

  * New upstream version (builds with erfa).
  * Change maintainer and VCS location to debian-astro
  * Add symbols file

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 30 Jul 2014 10:25:46 +0200
