=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: starlink-pal
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <debian@liska.ath.cx>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                ghostscript,
                latex2html,
-               liberfa-dev,
+               liberfa-dev (>= 1.1.0),
                texlive,
 	       texlive-font-utils
-Standards-Version: 3.9.5
-Homepage: http://starlink.jach.hawaii.edu/starlink
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/starlink-pal.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/starlink-pal.git
+Standards-Version: 3.9.8
+Homepage: http://starlink.eao.hawaii.edu/starlink
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/starlink-pal.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/starlink-pal.git
 
 Package: libstarlink-pal-dev
 Section: libdevel
@@ -38,7 +38,7 @@
 Multi-Arch: same
 Description: Positional Astronomy Library (shared library)
  This library is a collection of code designed to aid in replacing the SLA
- library with code from NOVAS and IAU SOFA.
+ library with code from NOVAS and ERFA.
  .
  Where possible the API is similar to the C SLA API except for the use of a
  "pal" prefix.
