## starlink-pal 0.9.7

=== debian/changelog ===
starlink-pal (0.9.7-3) unstable; urgency=low

  * Link test program to -lm to fix test link failure

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2017 09:10:29 +0200

starlink-pal (0.9.7-2) unstable; urgency=medium

  * Build documentation only in -indep (Closes: #865388)

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Jun 2017 17:19:14 +0200

starlink-pal (0.9.7-1) unstable; urgency=low

  * Watch github now
  * New upstream version 0.9.7
  * Rediff patches
  * Mark libstarlink-pal-dev Multi-Arch: same as suggested by Multiarch hinter
  * Push standards version to 4.0.0. No changes.

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Jun 2017 21:18:56 +0200
