=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
-               ghostscript,
+               liberfa-dev (>= 1.1.0)
+Build-Depends-Indep: ghostscript,
                latex2html,
-               liberfa-dev (>= 1.1.0),
                texlive,
-	       texlive-font-utils
-Standards-Version: 3.9.8
+               texlive-font-utils,
+               texlive-latex-extra,
+               texlive-science
+Standards-Version: 4.0.0
 Homepage: http://starlink.eao.hawaii.edu/starlink
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/starlink-pal.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/starlink-pal.git
@@ -19,6 +21,7 @@
 Package: libstarlink-pal-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libstarlink-pal0 (= ${binary:Version}), ${misc:Depends}
 Suggests: libstarlink-pal-doc
 Description: Positional Astronomy Library (development files)
