## starlink-pal 0.9.8

=== debian/changelog ===
starlink-pal (0.9.8-1) unstable; urgency=medium

  * Update VCS fields to use salsa.d.o
  * New upstream version 0.9.8. Rediff patches, update symbols file
  * Push Standards-Version to 4.2.1. Change some URLs to https
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Sep 2018 15:43:52 +0200
