=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                liberfa-dev (>= 1.1.0)
 Build-Depends-Indep: ghostscript,
                latex2html,
@@ -13,10 +11,10 @@
                texlive-font-utils,
                texlive-latex-extra,
                texlive-science
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: http://starlink.eao.hawaii.edu/starlink
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/starlink-pal.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/starlink-pal.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/starlink-pal
+Vcs-Git: https://salsa.debian.org/debian-astro-team/starlink-pal.git
 
 Package: libstarlink-pal-dev
 Section: libdevel
