=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --without-cnf --with-pthreads
 
-
+override_dh_installdocs-indep:
+	make doc
+	dh_installdocs
