## starlink-pal 0.9.10

=== debian/changelog ===
starlink-pal (0.9.10-3) unstable; urgency=medium

  * Team upload.
  * 'd/clean': Add missing extensions. (Closes: #1049316)
  * 'd/rules': Add hardening 'all'.
  * 'd/watch', update version to 4.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 06 Oct 2024 12:32:35 +0100

starlink-pal (0.9.10-2) unstable; urgency=medium

  * Define _DEFAULT_SOURCE to have strlcpy() defined (Closes: #1071366)
  * Push Standards-Version to 4.7.0. No changes needed
  * Add new symbols to symbols file
  * Remove outdated lintian-oberride

 -- Ole Streicher <olebole@debian.org>  Sat, 18 May 2024 13:58:17 +0200

starlink-pal (0.9.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Ole Streicher ]
  * New upstream version 0.9.10
  * Rediff patches
  * Adjust test for out-of-bounds observatory

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Sep 2022 11:07:01 +0200

starlink-pal (0.9.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Ole Streicher ]
  * Adjust starlink.csl for changes in Debian's LaTeX distribution
    (Closes: #1013617)
  * Push Standards-Version to 4.6.1. No changes needed
  * Push dh-compat to 13
  * Remove unneeded versionized build-dep
  * Switch patches to use gbp completely

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Jun 2022 17:03:45 +0200
