=== debian/control ===
Source: starlink-pal
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               liberfa-dev
Build-Depends-Indep: ghostscript,
                     latex2html,
                     texlive,
                     texlive-font-utils,
                     texlive-latex-extra,
                     texlive-science
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/starlink-pal
Vcs-Git: https://salsa.debian.org/debian-astro-team/starlink-pal.git
Homepage: https://starlink.eao.hawaii.edu/starlink

Package: libstarlink-pal-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libstarlink-pal0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libstarlink-pal-doc
Description: Positional Astronomy Library (development files)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and ERFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the development files.

Package: libstarlink-pal0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Positional Astronomy Library (shared library)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and ERFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This library contains the shared library.

Package: libstarlink-pal-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Positional Astronomy Library (documentation)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and ERFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the HTML and PDF documentation.
