=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf:
 	cp pal.news NEWS
@@ -16,3 +18,6 @@
 override_dh_installdocs-indep:
 	make doc
 	dh_installdocs
+
+override_dh_missing:
+	dh_missing --list-missing
