=== debian/tests/control ===
Tests: test-pal
Depends: libstarlink-pal-dev, gcc, libc6-dev
