=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pal-$1\.tar\.gz/ \
  https://github.com/starlink/pal/tags .*/v?(\d\S+)\.tar\.gz
